Skip to main content
PUT
/
v2
/
telemetry
/
data_sources
/
{id}
UpdateDataSource
curl --request PUT \
  --url https://api.incident.io/v2/telemetry/data_sources/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "datadog_config": {
    "api_key": "abc123"
  },
  "grafana_config": {
    "api_key": "glsa_123"
  },
  "name": "Production Grafana"
}
'
{
  "data_source": {
    "created_at": "2021-08-17T13:28:57.801578Z",
    "enabled": true,
    "id": "01G0J1EXE7AXZ2C93K61WBPYEH",
    "name": "Primary Prometheus",
    "provider": "grafana",
    "source_type": "grafana",
    "updated_at": "2021-08-17T13:28:57.801578Z"
  }
}

Authorizations

Authorization
string
header
required

API key from your incident.io dashboard (Settings → API keys)

Path Parameters

id
string
required

Data source ID

Example:

"01G0J1EXE7AXZ2C93K61WBPYEH"

Body

application/json
datadog_config
object

Datadog-specific credential updates

Example:
{ "api_key": "abc123" }
grafana_config
object

Grafana-specific credential updates

Example:
{ "api_key": "glsa_123" }
name
string

Updated display name

Example:

"Production Grafana"

Response

200 - application/json

OK response.

data_source
object
required

A telemetry data source integration

Example:
{
"created_at": "2021-08-17T13:28:57.801578Z",
"enabled": true,
"id": "01G0J1EXE7AXZ2C93K61WBPYEH",
"name": "Primary Prometheus",
"provider": "grafana",
"source_type": "grafana",
"updated_at": "2021-08-17T13:28:57.801578Z"
}